Subject: Re: WGLC for BFD Multipoint documents (last round)

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Thu, 8 Feb 2018 03:03:12 +0000

<Sorry for the delay>
Hi Greg,

I would go with normative SHOULD. What you proposed below is fine.

Regards,
Reshad.

From: "[email-masked]" <[email-masked]>
Date: Sunday, February 4, 2018 at 8:33 PM
To: "Reshad Rahman (rrahman)" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: WGLC for BFD Multipoint documents (last round)

Hi Reshad,

you've said:

Hi Greg,

While OOB mechanism would improve security, my personal opinion is that we should try to improve security without requiring an OOB mechanism. I think we can add text to the security considerations to address the concerns below, e.g. A tail SHOULD prevent the number of MultipointTail sessions from exceeding the number of expected streams.  The concern expressed in b) cannot be fixed by what I proposed because of multiple streams.  So just preventing the number of MultipointTail sessions from exceeding the number of expected streams should be good enough.

Regards,

Reshad.

If we make it normative SHOULD, i.e. s/should/SHOULD/ in the third recommendation to the implementers:

     The implementation SHOULD have a reasonable upper bound on the

      number of MultipointTail sessions that can be created, with the

      upper bound potentially being computed based on the number of

      multicast streams that the system is expecting.

Or keep the lower case as it is consistent with the rest of the section, e.g. 'a MultipointTail session should not be created'?

Kind regards,

Greg Mirsky

Sr. Standardization Expert
预研标准部/有线研究院/有线产品经营部 Standard Preresearch Dept./Wireline Product R&D Institute/Wireline Product Operation Division

E: [email-masked]<mailto:[email-masked]>
www.zte.com.cn<http://www.zte.com.cn/>

---

From: <[email-masked]>
Date: Thu, 8 Feb 2018 13:14:22 +0800 (CST)

Hi Reshad,

thank you for your consideration. I've came across what looks as simple editorial change. Appreciate your comment.

In the second paragraph of section 4.8 Packet consumption on tails the following

  For multipoint LSPs, when IP/UDP encapsulation of BFD control packets

  is used, MultipointTail MUST use destination UDP port "3784" ...

reads akwardly because, I think, of 'MUST use'. I propose simple s/use/look for/ or s/use/expect/. What do you think? Is the text god as-is or minor editing may help?

Regards,

Greg Mirsky

E: [email-masked] 
www.zte.com.cn

Original Mail

Sender: ReshadRahman(rrahman) <[email-masked]>
To: gregory mirsky10211915;[email-masked] <[email-masked]>
Date: 2018/02/08 11:03
Subject: Re: WGLC for BFD Multipoint documents (last round)

<Sorry for the delay>

Hi Greg,

 

Regards,

Reshad.

 

 

Hi Reshad,

you've said:

Hi Greg,   While OOB mechanism would improve security, my personal opinion is that we should try to improve security without requiring an OOB mechanism. I think we can add text to the security considerations to address the concerns below, e.g. A tail SHOULD prevent the number of MultipointTail sessions from exceeding the number of expected streams.  The concern expressed in b) cannot be fixed by what I proposed because of multiple streams.  So just preventing the number of MultipointTail sessions from exceeding the number of expected streams should be good enough.   Regards, Reshad.  

Kind regards,

Greg Mirsky

 

 E: [email-masked] 
 www.zte.com.cn

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 9 Feb 2018 03:19:24 +0000

Hi, Greg,

When looking for this specific sentence, I got a chance to scan through the document a bit.

It seems to me there are still a number of editorials and potentially non-editorials to be fixed.

Looking at S4.8 only:

   BFD packets received on tails for an IP multicast group MUST be
   consumed by tails and MUST NOT be forwarded to receivers.  Session of
   type MultipointTail MUST identify the packet as BFD with the help of
   destination UDP port number "3784" on IP multipoint path.

CMP: There are a number of “the” or “a[n]” articles missing.

CMP: What is “with the help of”? What is "port number "3784" on IP multipoint path”?

   For multipoint LSPs, when IP/UDP encapsulation of BFD control packets
   is used, MultipointTail MUST use destination UDP port "3784" and
   "127.0.0.0/8" range for IPv4 or "0:0:0:0:0:FFFF:7F00:0/104" range for
   IPv6 ([RFC8029]).  Packets identified as BFD packets MUST be consumed
   by MultipointTail and demultiplex as described in Section 4.13.2
.
CMP: The first sentence is very confusing (besides the “MUST use” that you already called out and that I agree).
CMP: For example, is this the source or destination endpoint? Which address is this (i.e., Destination)?

   Use of other types of encapsulation for multipoint LSP is outside the
   scope of this document.

CMP: For BFD Control?

Also, checking the following section:

4.13.1.  Reception of BFD Control Packets

   The following procedure replaces section 6.8.6 of [RFC5880].
…
      If bfd.SessionType is PointToPoint, update the Detection Time as
      described in [RFC5880] section 6.8.4.  Otherwise, update the
      Detection Time as described in Section 4.11 above.

CMP: The actual set of citations is not clear. If this is a replacement to section 6.8.6 of [RFC5880], then why a citation like “[RFC5880] section 6.8.4"? Isn’t it implied that it is RFC 5880? Or conversely, if it is a replacement updating RFC 5880, how does “in Section 4.11 above” work when inserted in RFC 5880? Its ask relative :-)

Thanks!

—
Carlos Pignataro, [email-masked]<mailto:[email-masked]>

“Sometimes I use big words that I do not fully understand, to make myself sound more photosynthesis."

On Feb 8, 2018, at 12:14 AM, [email-masked]<mailto:[email-masked]> wrote:

Hi Reshad,

Regards,

Greg Mirsky

E: [email-masked]<mailto:[email-masked]>
www.zte.com.cn<http://www.zte.com.cn/>
Original Mail
Sender: ReshadRahman(rrahman) <[email-masked]<mailto:[email-masked]>>
To: gregory mirsky10211915;[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Date: 2018/02/08 11:03
Subject: Re: WGLC for BFD Multipoint documents (last round)
<Sorry for the delay>
Hi Greg,

Regards,
Reshad.

From: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Sunday, February 4, 2018 at 8:33 PM
To: "Reshad Rahman (rrahman)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: WGLC for BFD Multipoint documents (last round)

Hi Reshad,

you've said:

Hi Greg,

Regards,

Reshad.

Kind regards,

Greg Mirsky

---

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Fri, 9 Feb 2018 03:49:12 +0000

Greg, I agree “MUST use” doesn’t read well. s/use/expect/ is good with me.

Regards,
Reshad.

From: "[email-masked]" <[email-masked]>
Date: Thursday, February 8, 2018 at 12:14 AM
To: "Reshad Rahman (rrahman)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: WGLC for BFD Multipoint documents (last round)

Hi Reshad,

Regards,

Greg Mirsky

Original Mail

Regards,
Reshad.

Hi Reshad,

you've said:

Hi Greg,

Regards,

Reshad.

Kind regards,

Greg Mirsky

---

From: Greg Mirsky <[email-masked]>
Date: Sun, 11 Feb 2018 18:03:15 -0800

Hi Carlos,
thank you for your thorough review and detailed comments. Please find my
responses in-lined tagged GIM>>.

Regards,
Greg

> CMP: What is “with the help of”? What is "port number "3784" on IP
GIM>> Agree, will remove the quotation marks around 3784. Proposed update:
OLD TEXT:
 Session of
   type MultipointTail MUST identify the packet as BFD with the help of
   destination UDP port number "3784" on IP multipoint path.
NEW TEXT:
Session of type MultipointTail MUST identify packet received on an IP
multipoint path
as BFD control packet if the destination UDP port value equals 3784.

> address is this (i.e., Destination)?
GIM>> Since the sentence refers to MultipointTail, I conclude this refers
to the destination endpoint. As Reshad agreed to s/use/expect/
here's proposed update to the sentence:
OLD TEXT:
   For multipoint LSPs, when IP/UDP encapsulation of BFD control packets
   is used, MultipointTail MUST use destination UDP port "3784" and
   "127.0.0.0/8" range for IPv4 or "0:0:0:0:0:FFFF:7F00:0/104" range for
   IPv6 ([RFC8029]).
NEW TEXT:
   For multipoint LSPs, when IP/UDP encapsulation of BFD control packets
   is used, MultipointTail MUST expect destination UDP port 3784 and
   destination IP address in 127.0.0.0/8 range for IPv4 or
0:0:0:0:0:FFFF:7F00:0/104 range for
   IPv6 ([RFC8029]).

>    Use of other types of encapsulation for multipoint LSP is outside the
GIM>> Will add 'of the BFD control message over' and remove 'for' to result:
Use of other types of encapsulation of the BFD control message over
multipoint LSP  is outside the scope of this document.

> CMP: The actual set of citations is not clear. If this is a replacement to
> section 6.8.6 of [RFC5880], then why a citation like “[RFC5880] section
> 6.8.4"? Isn’t it implied that it is RFC 5880? Or conversely, if it is a
> replacement updating RFC 5880, how does “in Section 4.11 above” work when
> inserted in RFC 5880? Its ask relative :-)
>
> Thanks!
>
> —
> Carlos Pignataro, [email-masked]
>
> *“Sometimes I use big words that I do not fully understand, to make myself
> sound more photosynthesis."*
>
> On Feb 8, 2018, at 12:14 AM, [email-masked] wrote:
>
> Hi Reshad,
>
> thank you for your consideration. I've came across what looks as simple
> editorial change. Appreciate your comment.
>
> reads akwardly because, I think, of 'MUST use'. I propose simple
> s/use/look for/ or s/use/expect/. What do you think? Is the text god as-is
> or minor editing may help?
>
>
> Regards,
>
> Greg Mirsky
>
>
> 预研标准部/有线研究院/有线产品经营部 Standard Preresearch Dept./Wireline Product R&D
> Institute/Wireline Product Operation Division
>
>
>
>  <24242e5637af428891c4db731e7765
> ad.jpg>
> *Sender: *ReshadRahman(rrahman) <[email-masked]>
> *To: *gregory mirsky10211915;[email-masked] <[email-masked]>
> *Date: *2018/02/08 11:03
> *Subject: **Re: WGLC for BFD Multipoint documents (last round)*
>
> <Sorry for the delay>
>
> Hi Greg,
>
>
>
> *From: *"[email-masked]" <[email-masked]>
> *Date: *Sunday, February 4, 2018 at 8:33 PM
> *To: *"Reshad Rahman (rrahman)" <[email-masked]>, "[email-masked]" <
> [email-masked]>
> *Subject: *Re: WGLC for BFD Multipoint documents (last round)
>
>
>
> Hi Reshad,
>
> you've said:
>
> Hi Greg,
>
>
>
> Or keep the lower case as it is consistent with the rest of the section,
> e.g. 'a MultipointTail session should not be created'?
>
>
>
> Kind regards,
>
> Greg Mirsky
>
>
>
> 预研标准部/有线研究院/有线产品经营部 Standard Preresearch Dept./Wireline Product R&D
> Institute/Wireline Product Operation Division
>
>
>
>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 13 Feb 2018 23:37:16 +0000

Hi, Greg,

On Feb 11, 2018, at 9:03 PM, Greg Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Hi Carlos,
thank you for your thorough review and detailed comments.

Anytime — but just to be clear, this is not a thorough review. I spent a quick scan through some sections only, which triggered these coarse set of comments.

Please find my responses in-lined tagged GIM>>.

More inline.

Regards,
Greg

On Thu, Feb 8, 2018 at 7:19 PM, Carlos Pignataro (cpignata) <[email-masked]<mailto:[email-masked]>> wrote:
Hi, Greg,

Looking at S4.8 only:

Session of type MultipointTail MUST identify packet received on an IP multipoint path

Who identifies the packets? The "session"? Or should this be the tail/receiver/tailend?

   For multipoint LSPs, when IP/UDP encapsulation of BFD control packets
   is used, MultipointTail MUST use destination UDP port "3784" and
   "127.0.0.0/8<http://127.0.0.0/8>" range for IPv4 or "0:0:0:0:0:FFFF:7F00:0/104" range for
   IPv6 ([RFC8029]).  Packets identified as BFD packets MUST be consumed
   by MultipointTail and demultiplex as described in Section 4.13.2
.
CMP: The first sentence is very confusing (besides the “MUST use” that you already called out and that I agree).
CMP: For example, is this the source or destination endpoint? Which address is this (i.e., Destination)?
GIM>> Since the sentence refers to MultipointTail, I conclude this refers to the destination endpoint. As Reshad agreed to s/use/expect/
here's proposed update to the sentence:
OLD TEXT:
   For multipoint LSPs, when IP/UDP encapsulation of BFD control packets
   is used, MultipointTail MUST use destination UDP port "3784" and
   "127.0.0.0/8<http://127.0.0.0/8>" range for IPv4 or "0:0:0:0:0:FFFF:7F00:0/104" range for
   IPv6 ([RFC8029]).
NEW TEXT:
   For multipoint LSPs, when IP/UDP encapsulation of BFD control packets
   is used, MultipointTail MUST expect destination UDP port 3784 and
   destination IP address in 127.0.0.0/8<http://127.0.0.0/8> range for IPv4 or 0:0:0:0:0:FFFF:7F00:0/104 range for
   IPv6 ([RFC8029]).

In addition to pointing to RFC 8029, for things like Section 2.1, etc., this is a new requirement. RFC 8029 does not specify the use of those IP addresses with UDP Port 3784. Hence the citation should go on a separate sentence.

CMP: For BFD Control?
GIM>> Will add 'of the BFD control message over' and remove 'for' to result:
Use of other types of encapsulation of the BFD control message over multipoint LSP  is outside the scope of this document.

Thanks.

Seems you missed this comment.

Thanks!

Carlos.

Thanks!

—

Hi Reshad,

Regards,

Greg Mirsky

Regards,
Reshad.

Hi Reshad,

you've said:

Hi Greg,

Regards,

Reshad.

Kind regards,

Greg Mirsky

---

From: Greg Mirsky <[email-masked]>
Date: Tue, 13 Feb 2018 18:10:59 -0800

Hi Carlos,
thank you for your prompt response to the proposed updates. Indeed, I've
missed your comment. Please find my follow-up updates under GIM2>> tag.
I've attached diff to highlight the changes.

Regards,
Greg

On Tue, Feb 13, 2018 at 3:37 PM, Carlos Pignataro (cpignata) <
[email-masked]> wrote:

> Hi, Greg,
>
> On Feb 11, 2018, at 9:03 PM, Greg Mirsky <[email-masked]> wrote:
>
> Hi Carlos,
> Anytime — but just to be clear, this is not a thorough review. I spent a
> quick scan through some sections only, which triggered these coarse set of
> comments.
> GIM2>> Still, many thanks. And it would be of great help if you can find
> time to do more detailed review and share your comments to both documents.
>
> GIM2>> Would the following clarify it:
>

OLD TEXT:
 Session of

Node with
   the BFD session of type MultipointTail MUST identify packet received
   on an IP multipoint path as BFD control packet if the destination UDP
   port value equals 3784.

>> CMP: The first sentence is very confusing (besides the “MUST use” that
>> you already called out and that I agree).
> GIM2>> I hope I've got it now:

OLD TEXT:
   For multipoint LSPs, when IP/UDP encapsulation of BFD control packets
   is used, MultipointTail MUST use destination UDP port "3784" and
   "127.0.0.0/8" range for IPv4 or "0:0:0:0:0:FFFF:7F00:0/104" range for
   IPv6 ([RFC8029]).
NEW TEXT:
   For multipoint LSPs, when IP/UDP encapsulation of BFD control packets
   is used, MultipointTail MUST expect destination UDP port 3784.
   Destination IP address of BFD control packet MUST be in 127.0.0.0/8
   range for IPv4 or in 0:0:0:0:0:FFFF:7F00:0/104 range for IPv6
([RFC8029]).

>
> In addition to pointing to RFC 8029, for things like Section 2.1, etc.,
> this is a new requirement. RFC 8029 does not specify the use of those IP
> addresses with UDP Port 3784. Hence the citation should go on a separate
> sentence.
>
>
>> CMP: The actual set of citations is not clear. If this is a replacement
>> to section 6.8.6 of [RFC5880], then why a citation like “[RFC5880] section
GIM2>> Right. The text requires update:
OLD TEXT:
       If bfd.SessionType is PointToPoint, update the Detection Time as
      described in [RFC5880] section 6.8.4.  Otherwise, update the
      Detection Time as described in Section 4.11 above.
NEW TEXT:
      If bfd.SessionType is PointToPoint, update the Detection Time as
      described in section 6.8.4 of [RFC5880].  If bfd.SessionType is
      MultipointTail, then update the Detection Time as described in
      Section 4.11.

GIM2>> RE: references to RFC 5880 in this section. I think that they are
useful as long as this is separate document. Once someone will decide to do
5880bis and in fact replace section 6.8.6, the references should be removed.

>> *“Sometimes I use big words that I do not fully understand, to make
>> myself sound more photosynthesis."*
>>
>>  <24242e5637af428891c4db731e776
>> 5ad.jpg>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Wed, 14 Feb 2018 02:23:02 +0000

Hi, Greg,

Thanks for the very expeditious response, and iterations addressing may comments!

On Feb 13, 2018, at 9:10 PM, Greg Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Hi Carlos,
thank you for your prompt response to the proposed updates. Indeed, I've missed your comment. Please find my follow-up updates under GIM2>> tag. I've attached diff to highlight the changes.

Regards,
Greg

On Tue, Feb 13, 2018 at 3:37 PM, Carlos Pignataro (cpignata) <[email-masked]<mailto:[email-masked]>> wrote:
Hi, Greg,

Hi Carlos,

Anytime — but just to be clear, this is not a thorough review. I spent a quick scan through some sections only, which triggered these coarse set of comments.
GIM2>> Still, many thanks. And it would be of great help if you can find time to do more detailed review and share your comments to both documents.

Thanks! I’ll do my best to find time for a detailed review.

More inline.

Regards,
Greg

Looking at S4.8 only:

OLD TEXT:
 Session of

Thanks! It is clearer now.

OLD TEXT:
   For multipoint LSPs, when IP/UDP encapsulation of BFD control packets
   is used, MultipointTail MUST use destination UDP port "3784" and
   "127.0.0.0/8<http://127.0.0.0/8>" range for IPv4 or "0:0:0:0:0:FFFF:7F00:0/104" range for
   IPv6 ([RFC8029]).
NEW TEXT:
   For multipoint LSPs, when IP/UDP encapsulation of BFD control packets
   is used, MultipointTail MUST expect destination UDP port 3784.
   Destination IP address of BFD control packet MUST be in 127.0.0.0/8<http://127.0.0.0/8>
   range for IPv4 or in 0:0:0:0:0:FFFF:7F00:0/104 range for IPv6  ([RFC8029]).

My point was different — sorry if I was not clear.
It was that RFC 8029 does not talk about any ranges in the context of BFD.
The sentence reads:
   Destination IP address of BFD control packet MUST be in 127.0.0.0/8
   range for IPv4 or in 0:0:0:0:0:FFFF:7F00:0/104 range for IPv6  ([RFC8029]).
But why that citation? RFC 8029 does not specify the destination IP address for BFD control packets. I’d stop the sentence and add a new one like “The use of these destination addresses is consistent with the explanations and usage in [RFC8029].”
Or similar.

CMP: For BFD Control?

Thanks.

GIM2>> RE: references to RFC 5880 in this section. I think that they are useful as long as this is separate document. Once someone will decide to do 5880bis and in fact replace section 6.8.6, the references should be removed.

The problem is that the section starts with:
   The following procedure replaces section 6.8.6 of [RFC5880]

But the procedure is not self-contained so as to be a replacement for a section of RFC 5880, because it ends with:
   update the Detection Time as described in Section 4.11

Hope that clarifies,

Thanks!

Carlos.

Thanks!

Carlos.

Thanks!

—

Hi Reshad,

Regards,

Greg Mirsky

Regards,
Reshad.

Hi Reshad,

you've said:

Hi Greg,

Regards,

Reshad.

Kind regards,

Greg Mirsky

<Diff_ draft-ietf-bfd-multipoint-13.txt - draft-ietf-bfd-multipoint-14.txt.html>

---

From: Greg Mirsky <[email-masked]>
Date: Wed, 14 Feb 2018 08:27:31 -0800

Hi Carlos,
thank you for your kind help and support. Accepted your suggestion and have
proposal to resolve somewhat twisted references in the replacement text:
OLD TEXT:
Otherwise, update the
      Detection Time as described in Section 4.11 above.
NEW TEXT:
If bfd.SessionType is
      MultipointTail, then update the Detection Time as the product of
      the last received values of Desired Min TX Interval and Detect
      Mult, as described in Section 4.11 of this specification.

And I've attached the newer diff to the working version.

Regards,
Greg

On Tue, Feb 13, 2018 at 6:23 PM, Carlos Pignataro (cpignata) <
[email-masked]> wrote:

> On Feb 13, 2018, at 9:10 PM, Greg Mirsky <[email-masked]> wrote:
>
> Hi Carlos,
> But why that citation? RFC 8029 does not specify the destination IP
> address for BFD control packets. I’d stop the sentence and add a new one
> like “The use of these destination addresses is consistent with the
> explanations and usage in [RFC8029].”
> Or similar.
>
>
>
>>
> But the procedure is not self-contained so as to be a replacement for a
> section of RFC 5880, because it ends with:
>>> *To: *"Reshad Rahman (rrahman)" <[email-masked]>, "[email-masked]"
>>> <[email-masked]>